# Uses of Class
jebl.evolution.sequences.NucleotideState

Packages that use NucleotideState
Package
Description
jebl.evolution.sequences

## Uses of NucleotideState in jebl.evolution.sequences

Fields in jebl.evolution.sequences declared as NucleotideState
Modifier and Type
Field
Description
`static final NucleotideState`
Nucleotides.`A_STATE`
`static final NucleotideState`
Nucleotides.`B_STATE`
`static final NucleotideState`
Nucleotides.`C_STATE`
`static final NucleotideState[]`
Nucleotides.`CANONICAL_STATES`
Deprecated.
`static final NucleotideState[]`
Nucleotides.`COMPLEMENTARY_STATES`
Deprecated.
`static final NucleotideState`
Nucleotides.`D_STATE`
`static final NucleotideState`
Nucleotides.`G_STATE`
`static final NucleotideState`
Nucleotides.`GAP_STATE`
`static final NucleotideState`
Nucleotides.`H_STATE`
`static final NucleotideState`
Nucleotides.`K_STATE`
`static final NucleotideState`
Nucleotides.`M_STATE`
`static final NucleotideState`
Nucleotides.`N_STATE`
`static final NucleotideState`
Nucleotides.`R_STATE`
`static final NucleotideState`
Nucleotides.`S_STATE`
`static final NucleotideState[]`
Nucleotides.`STATES`
Deprecated.
`static final NucleotideState`
Nucleotides.`T_STATE`
`static final NucleotideState`
Nucleotides.`UNKNOWN_STATE`
`static final NucleotideState`
Nucleotides.`V_STATE`
`static final NucleotideState`
Nucleotides.`W_STATE`
`static final NucleotideState`
Nucleotides.`Y_STATE`
Methods in jebl.evolution.sequences that return NucleotideState
Modifier and Type
Method
Description
`static NucleotideState[]`
Utils.`complement(NucleotideState[] sequence)`
`static NucleotideState`
Nucleotides.`getComplementaryState(NucleotideState state)`
`static NucleotideState`
Nucleotides.`getGapState()`
`static NucleotideState`
Nucleotides.`getState(char code)`
`static NucleotideState`
Nucleotides.`getState(int index)`
`static NucleotideState`
Nucleotides.`getState(String code)`
`static NucleotideState`
Nucleotides.`getUnknownState()`
`static NucleotideState[]`
Utils.`reverseComplement(NucleotideState[] sequence)`
`static NucleotideState[]`
Codons.`toNucleotides(CodonState state)`
`static NucleotideState[]`
Codons.`toNucleotides(State[] states)`
`static NucleotideState[]`
Nucleotides.`toStateArray(byte[] indexArray)`
`static NucleotideState[]`
Nucleotides.`toStateArray(String sequenceString)`
Methods in jebl.evolution.sequences that return types with arguments of type NucleotideState
Modifier and Type
Method
Description
`static List<NucleotideState>`
Nucleotides.`getCanonicalStates()`
Methods in jebl.evolution.sequences with parameters of type NucleotideState
Modifier and Type
Method
Description
`static NucleotideState[]`
Utils.`complement(NucleotideState[] sequence)`
`static NucleotideState`
Nucleotides.`getComplementaryState(NucleotideState state)`
`static CodonState`
Codons.`getState(NucleotideState nucleotide1, NucleotideState nucleotide2, NucleotideState nucleotide3)`
`AminoAcidState`
GeneticCode.`getTranslation(NucleotideState nucleotide1, NucleotideState nucleotide2, NucleotideState nucleotide3)`
Returns the state associated with AminoAcid represented by the three nucleotides.
`static boolean`
Nucleotides.`isGap(NucleotideState state)`
`static boolean`
Nucleotides.`isUnknown(NucleotideState state)`
`static NucleotideState[]`
Utils.`reverseComplement(NucleotideState[] sequence)`